DS_ALLOC_ARRAY_DESC(3)

FUNCTION
ds_alloc_array_desc - Allocate array descriptor.

SYNOPSIS
#include <karma_ds.h>

array_desc * ds_alloc_array_desc

(unsigned int num_dimensions, unsigned int num_levels)

DESCRIPTION
This function will allocate a header for a multi-dimensional tiled array of data packets.

num_dimensions
    The number of dimensions in the array.

num_levels
    The number of levels of tiling. If this is 0, the array is not tiled.

RETURN VALUE
A pointer to the descriptor on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
Note that the dimension descriptors are not allocated, however, the array of pointers for them is allocated.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/